Index: doc/src/sgml/Makefile
===================================================================
RCS file: /var/lib/cvs/pgsql-server/doc/src/sgml/Makefile,v
retrieving revision 1.60
diff -c -r1.60 Makefile
*** doc/src/sgml/Makefile	29 Nov 2003 19:51:36 -0000	1.60
--- doc/src/sgml/Makefile	10 Dec 2003 21:34:31 -0000
***************
*** 22,27 ****
--- 22,34 ----
  endif
  SGMLINCLUDE = -D $(srcdir)
  
+ # If this is a vpath build, some generated SGML will be in the build
+ # tree, so we need to make sure we look there as well as in the
+ # source tree
+ ifeq ($(vpath_build), yes)
+ SGMLINCLUDE += -D .
+ endif
+ 
  ifndef NSGMLS
  NSGMLS = nsgmls
  endif
***************
*** 80,85 ****
--- 87,95 ----
  html: postgres.sgml $(ALLSGML) stylesheet.dsl
  	@rm -f *.html
  	$(JADE) $(JADEFLAGS) $(SGMLINCLUDE) $(CATALOG) -d stylesheet.dsl -i output-html -t sgml $<
+ ifeq ($(vpath_build), yes)
+ 	@cp $(srcdir)/stylesheet.css .
+ endif
  
  
  COLLATEINDEX := LC_ALL=C $(PERL) $(COLLATEINDEX) -f -g
